## Index

### Enumerations

- I18nLanguageType
- Messages
- ThemeType

### Interfaces Other

- Component
- I18nResourcesType
- IDaoPaaS
- IExtralAction
- IReplayFileChangeLogs
- IReportHighlightData
- IXtermFontStyle
- XtermStyleType

### Interfaces PaaSOptions [Required]

- PaaSOptions

### Type Aliases

- BaseConfig
- CodeSnippetOption
- CodeSnippetType
- ComponentType
- Config
- ContextMenu
- ContextMenuItem
- ContextMenuType
- ContextMenuTypeItem
- DockerStatus
- EditorIndentMode
- EditorMode
- FileHeaderType
- GlobalConfig
- ICodeLanguage
- IDebugStatus
- IOverrideParams
- ISpecialFileHighlight
- InsertCodeLineCode
- Message
- PlaygroundStatus
- ReportHighlightCache
- ReportHighlightFileInfo
- ResultType
- TranslateType
- TranslateTypeOption

## Type Aliases

### BaseConfig

BaseConfig: { hideEditorContextMenu?: boolean; hideEditorToolTip?: boolean }

- Defined in types/DaoPaaS.d.ts:341

#### Type declaration

- ##### Optional hideEditorContextMenu?: boolean

- ##### Optional hideEditorToolTip?: boolean

### CodeSnippetOption

CodeSnippetOption: { option: { detail?: string; label: string }; template: string }

- Defined in types/DaoPaaS.d.ts:28

#### Type declaration

- ##### option: { detail?: string; label: string }

  - ##### Optional detail?: string

  - ##### label: string

- ##### template: string

### CodeSnippetType

CodeSnippetType: Record<string, CodeSnippetOption[]>

- Defined in types/DaoPaaS.d.ts:40

### ComponentType

ComponentType: "Tree" | "Editor" | "Browser" | "Console" | "Shell" | "MarkdownPreview"

- Defined in types/DaoPaaS.d.ts:83

SDK内部组件名

### Config

Config: { disableEditable?: boolean; disableFileTreeAction?: boolean }

- Defined in types/DaoPaaS.d.ts:345

#### Type declaration

- ##### Optional disableEditable?: boolean

- ##### Optional disableFileTreeAction?: boolean

### ContextMenu

ContextMenu: ContextMenuItem[][]

- Defined in types/DaoPaaS.d.ts:174

### ContextMenuItem

ContextMenuItem: { actionName?: string; actionShortcutKey?: string; className?: string; shortcutClassName?: string; shortcutKey?: string; text: {}; textClassName?: string; withCodeFlag?: boolean; actionFun?: any }

- Defined in types/DaoPaaS.d.ts:139

#### Type declaration

- ##### Optional actionName?: string

- ##### Optional actionShortcutKey?: string

- ##### Optional className?: string

- ##### Optional shortcutClassName?: string

- ##### Optional shortcutKey?: string

- ##### text: {}

  - ##### [x: string]: ReactI18NextChild | Iterable<ReactI18NextChild>

- ##### Optional textClassName?: string

- ##### Optional withCodeFlag?: boolean

- ##### actionFun?:function

  - actionFun(view: EditorView, commands: any, firstNum?: number, lastNum?: number): void
  - - Defined in types/DaoPaaS.d.ts:146

    #### Parameters

    - ##### view: EditorView

    - ##### commands: any

    - ##### Optional firstNum: number

    - ##### Optional lastNum: number

    #### Returns void

### ContextMenuType

ContextMenuType: { items: ContextMenuTypeItem[]; overrideItems?: Pick<ContextMenuTypeItem, "action" | "text">[]; title?: string; handleOverride?: any; handleSelect: any }

- Defined in types/DaoPaaS.d.ts:64

#### Type declaration

- ##### items: ContextMenuTypeItem[]

- ##### Optional overrideItems?: Pick<ContextMenuTypeItem, "action" | "text">[]

- ##### Optional title?: string

- ##### handleOverride?:function

  - handleOverride(params: IOverrideParams): void
  - - Defined in types/DaoPaaS.d.ts:74

    #### Parameters

    - ##### params: IOverrideParams

    #### Returns void

- ##### handleSelect:function

  - handleSelect(e: any, callback?: ((data: any, extralAction: IExtralAction) => void)): void
  - - Defined in types/DaoPaaS.d.ts:65

    #### Parameters

    - ##### e: any

    - ##### Optional callback: ((data: any, extralAction: IExtralAction) => void)

      - - (data: any, extralAction: IExtralAction): void

        - #### Parameters

          - ##### data: any

          - ##### extralAction: IExtralAction

          #### Returns void

### ContextMenuTypeItem

ContextMenuTypeItem: { action: string; codeAction?: "append" | "replace"; commentStartLabel: string; commentTips?: string; flag?: string; hideCodeBlock: boolean; icon: string; iconLabel: string; id?: number; isAi?: boolean; isCheck?: boolean; isDone?: boolean; isRepalceRange?: boolea; noActionCheck?: boolean; text: string }

- Defined in types/DaoPaaS.d.ts:10

#### Type declaration

- ##### action: string

- ##### Optional codeAction?: "append" | "replace"

- ##### commentStartLabel: string

- ##### Optional commentTips?: string

- ##### Optional flag?: string

- ##### hideCodeBlock: boolean

- ##### icon: string

- ##### iconLabel: string

- ##### Optional id?: number

- ##### Optional isAi?: boolean

- ##### Optional isCheck?: boolean

- ##### Optional isDone?: boolean

- ##### Optional isRepalceRange?: boolea

- ##### Optional noActionCheck?: boolean

- ##### text: string

### DockerStatus

DockerStatus: "RUNNING" | "STOP" | "DEBUG_RUNNING"

- Defined in types/DaoPaaS.d.ts:98

Docker运行状态

### EditorIndentMode

EditorIndentMode: "space" | "tab"

- Defined in types/DaoPaaS.d.ts:302

### EditorMode

EditorMode: "default" | "vim" | "emacs"

- Defined in types/DaoPaaS.d.ts:300

### FileHeaderType

FileHeaderType: { className?: string; icon: { className: string; tips?: TranslateTypeOption; action?: any }; label?: TranslateTypeOption; labelAction?: { label: TranslateTypeOption; tips?: TranslateTypeOption; action: any }; showTips?: boolean; tipsDuration?: number }

- Defined in types/DaoPaaS.d.ts:41

#### Type declaration

- ##### Optional className?: string

- ##### icon: { className: string; tips?: TranslateTypeOption; action?: any }

  - ##### className: string

  - ##### Optional tips?: TranslateTypeOption

  - ##### action?:function

    - action(): void
    - - Defined in types/DaoPaaS.d.ts:46

      #### Returns void

- ##### Optional label?: TranslateTypeOption

- ##### Optional labelAction?: { label: TranslateTypeOption; tips?: TranslateTypeOption; action: any }

  - ##### label: TranslateTypeOption

  - ##### Optional tips?: TranslateTypeOption

  - ##### action:function

    - action(): void
    - - Defined in types/DaoPaaS.d.ts:53

      #### Returns void

- ##### Optional showTips?: boolean

- ##### Optional tipsDuration?: number

### GlobalConfig

GlobalConfig: { editorIndentMode?: EditorIndentMode; editorMode?: EditorMode; editorTabSize?: number | "auto"; editorWordWrap?: boolean; fontSize?: string; markdownPreview?: { iframeHeight?: string; iframeWidth?: string; isBlank?: boolean }; openDiagnostic?: boolean }

- Defined in types/DaoPaaS.d.ts:326

#### Type declaration

- ##### Optional editorIndentMode?: EditorIndentMode

- ##### Optional editorMode?: EditorMode

- ##### Optional editorTabSize?: number | "auto"

- ##### Optional editorWordWrap?: boolean

- ##### Optional fontSize?: string

- ##### Optional markdownPreview?: { iframeHeight?: string; iframeWidth?: string; isBlank?: boolean }

  - ##### Optional iframeHeight?: string

  - ##### Optional iframeWidth?: string

  - ##### Optional isBlank?: boolean

- ##### Optional openDiagnostic?: boolean

### ICodeLanguage

ICodeLanguage: "javascript" | "typescript" | "ruby" | "lua" | "go" | "swift" | "vb" | "kotlin" | "csharp" | "verilog" | "vhdl" | "dart" | "clojure" | "coffeescript" | "erlang" | "hs" | "objectiveC" | "perl" | "scala" | "r" | "shell" | "dockerfile" | "gas" | "asm" | "oCaml" | "yaml" | "elixir" | "html" | "css" | "cpp" | "c" | "java" | "json" | "markdown" | "php" | "python" | "sql" | "rust" | "xml"

- Defined in types/DaoPaaS.d.ts:259

### IDebugStatus

IDebugStatus: "starting" | "executing" | "executed" | "stop"

- Defined in types/DaoPaaS.d.ts:310

starting 正在启动 executing正在执行 executed 执行完成 stop停止

### IOverrideParams

IOverrideParams: { action: string; ids: string[] }

- Defined in types/DaoPaaS.d.ts:58

#### Type declaration

- ##### action: string

- ##### ids: string[]

### ISpecialFileHighlight

ISpecialFileHighlight: { fileName: string; languageType: ICodeLanguage }

- Defined in types/DaoPaaS.d.ts:254

#### Type declaration

- ##### fileName: string

- ##### languageType: ICodeLanguage

### InsertCodeLineCode

InsertCodeLineCode: number | "TOP" | "BOTTOM"

- Defined in types/DaoPaaS.d.ts:6

### Message

Message: { error?: string; name: Messages; payload?: any }

- Defined in types/DaoPaaS.d.ts:114

SDK消息监听数据类型

#### Type declaration

- ##### Optional error?: string

  错误信息

- ##### name: Messages

  消息类型

- ##### Optional payload?: any

  消息内容

### PlaygroundStatus

PlaygroundStatus: "EMPTY" | "ACTIVE" | "INACTIVE"

- Defined in types/DaoPaaS.d.ts:94

Playground状态类型

### ReportHighlightCache

ReportHighlightCache: {}

- Defined in types/DaoPaaS.d.ts:159

#### Type declaration

- ##### [key: string]: LineInfo[]

### ReportHighlightFileInfo

ReportHighlightFileInfo: { arr: number[]; baseContent: string; path: string }

- Defined in types/DaoPaaS.d.ts:160

#### Type declaration

- ##### arr: number[]

- ##### baseContent: string

- ##### path: string

### ResultType

ResultType: { message: string; status: boolean }

- Defined in types/DaoPaaS.d.ts:76

#### Type declaration

- ##### message: string

- ##### status: boolean

### TranslateType

TranslateType: Record<string, Record<TranslateTypeOption>>

- Defined in types/DaoPaaS.d.ts:39

### TranslateTypeOption

TranslateTypeOption: {}

- Defined in types/DaoPaaS.d.ts:35

#### Type declaration

- ##### [x: string]: ReactI18NextChild | Iterable<ReactI18NextChild>

Generated using TypeDoc